%define major 1
%define lib_name %mklibname totem-plparser %major
%define build_gstreamer 1
%define build_xine 1
%{?_with_gstreamer: %{expand: %%global build_gstreamer 1}}
%{?_without_gstreamer: %{expand: %%global build_gstreamer 0}}
%define build_mozilla 1

%define xineversion 1.1.2
%define gstver 0.10

Summary: Movie player for GNOME 2
Name: totem
Version: 2.18.0
Release: %mkrel 6
Source0: http://ftp.gnome.org/pub/GNOME/sources/totem/%{name}-%{version}.tar.bz2
Source1: %name-48.png
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.hadess.net/totem.php3
%if %build_gstreamer
BuildRequires: libgstreamer-plugins-base-devel >= %gstver
BuildRequires: gstreamer0.10-plugins-good
BuildRequires: gstreamer0.10-plugins-base
%endif
BuildRequires: libxtst-devel
BuildRequires: libxxf86vm-devel
BuildRequires: libxine-devel >= %xineversion
BuildRequires: libnvtvsimple-devel
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: liblirc-devel
BuildRequires: libnautilus-devel
BuildRequires: hal-devel
BuildRequires: glib2-devel >= 2.9.6
BuildRequires: iso-codes
BuildRequires: intltool
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: desktop-file-utils
BuildRequires: libgnome-window-settings-devel
Requires: xine-plugins >= %xineversion
Requires: totem-common = %{version}-%{release}


%description
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.
This version is based on the xine backend.

#gw TODO: obsolete totem-gstreamer in main totem package and move the xine
#gw backend to a totem-xine package
%if %build_gstreamer
%package gstreamer
Summary: %{summary}
Group:	Video
Requires: gstreamer0.10-plugins-base >= %gstver
Requires: gstreamer0.10-plugins-good
Requires: totem-common = %{version}
#Requires: gstreamer0.10-ffmpeg >= %gstver
#Suggests: gstreamer0.10-flac >= %gstver
#Suggests: gstreamer0.10-faad >= %gstver

%description gstreamer
Totem is simple movie player for the GNOME desktop. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

This version is based on the gstreamer backend.

%if %build_mozilla
%package mozilla-gstreamer
Summary: Totem video plugin for Mozilla Firefox - gstreamer backend
Group: Networking/WWW
BuildRequires: mozilla-firefox-devel
BuildRequires: dbus-devel >= 0.35
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
Requires: %mklibname mozilla-firefox %{firefox_version}
Requires: totem-gstreamer = %version

%description mozilla-gstreamer
This embeds the Totem video player into web browsers based on Mozilla
Firefox. This version is based on the gstreamer backend.
%endif
%endif

%package common
Summary: Common data files for totem 
Group:	Video
Requires: iso-codes
Requires(post)  : scrollkeeper >= 0.3 desktop-file-utils
Requires(postun): scrollkeeper >= 0.3 desktop-file-utils

%description common
Common data files used by Totem.

%package -n	%{lib_name}
Summary:	%{summary}
Group:		System/Libraries

%description -n	%{lib_name}
Shared library used by totem.

%package -n	%{lib_name}-devel
Summary:	Static libraries, include files for totem playlist parser
Group:		Development/GNOME and GTK+
Provides:	totem-plparser-devel = %{version}
Provides:	libtotem-plparser-devel = %{version}
Requires:	%{lib_name} = %{version}
Conflicts: 	%{_lib}totem-plparser0-devel

%description -n	%{lib_name}-devel
Static libraries, include files for totem playlist parser

%if %build_mozilla
%package mozilla
Summary: Totem video plugin for Mozilla Firefox
Group: Networking/WWW
BuildRequires: mozilla-firefox-devel
BuildRequires: dbus-devel >= 0.35
Requires: %mklibname mozilla-firefox %{firefox_version}
Requires: totem = %version

%description mozilla
This embeds the Totem video player into web browsers based on Mozilla Firefox.
This version is based on the xine backend.
%endif

%prep
%setup -q

%build

# Build xine version
[ -d xine-build ] || mkdir xine-build
cd xine-build

CONFIGURE_TOP=.. %configure2_5x --disable-run-in-source-tree \
%if %build_mozilla
--enable-mozilla \
%else
--disable-mozilla \
%endif
--enable-xine
%make
cd ..

%if %build_gstreamer
# Build gstreamer version
[ -d gstreamer-build ] || mkdir gstreamer-build
cd gstreamer-build

CONFIGURE_TOP=.. %configure2_5x --disable-run-in-source-tree \
%if %build_mozilla
--enable-mozilla \
%else
--disable-mozilla
%endif

%make
cd ..
%endif


%install
rm -rf $RPM_BUILD_ROOT %name.lang

cd xine-build
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%if %build_mozilla
mv %buildroot%_libdir/mozilla/plugins/libtotem-basic-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-basic-plugin-xine.so
mv %buildroot%_libdir/mozilla/plugins/libtotem-complex-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-complex-plugin-xine.so
mv %buildroot%_libdir/mozilla/plugins/libtotem-gmp-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-gmp-plugin-xine.so
mv %buildroot%_libdir/mozilla/plugins/libtotem-mully-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-mully-plugin-xine.so
mv %buildroot%_libdir/mozilla/plugins/libtotem-narrowspace-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-narrowspace-plugin-xine.so

mv %buildroot%_libexecdir/totem-plugin-viewer %buildroot%_libexecdir/totem-plugin-viewer-xine
%endif
cd ..
mv $RPM_BUILD_ROOT%{_bindir}/totem $RPM_BUILD_ROOT%{_bindir}/totem-xine
mv $RPM_BUILD_ROOT%{_bindir}/totem-video-thumbnailer $RPM_BUILD_ROOT%{_bindir}/totem-video-thumbnailer-xine
mv $RPM_BUILD_ROOT%{_bindir}/totem-video-indexer $RPM_BUILD_ROOT%{_bindir}/totem-video-indexer-xine
mv $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.so $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page-xine 


%if %build_gstreamer
cd gstreamer-build
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%if %build_mozilla
mv %buildroot%_libdir/mozilla/plugins/libtotem-basic-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-basic-plugin-gstreamer.so
mv %buildroot%_libdir/mozilla/plugins/libtotem-complex-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-complex-plugin-gstreamer.so
mv %buildroot%_libdir/mozilla/plugins/libtotem-gmp-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-gmp-plugin-gstreamer.so
mv %buildroot%_libdir/mozilla/plugins/libtotem-mully-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-mully-plugin-gstreamer.so
mv %buildroot%_libdir/mozilla/plugins/libtotem-narrowspace-plugin.so %buildroot%_libdir/mozilla/plugins/libtotem-narrowspace-plugin-gstreamer.so
mv %buildroot%_libexecdir/totem-plugin-viewer %buildroot%_libexecdir/totem-plugin-viewer-gstreamer
%endif
cd ..
mv $RPM_BUILD_ROOT%{_bindir}/totem $RPM_BUILD_ROOT%{_bindir}/totem-gstreamer
mv $RPM_BUILD_ROOT%{_bindir}/totem-video-thumbnailer $RPM_BUILD_ROOT%{_bindir}/totem-video-thumbnailer-gstreamer
mv $RPM_BUILD_ROOT%{_bindir}/totem-video-indexer $RPM_BUILD_ROOT%{_bindir}/totem-video-indexer-gstreamer
mv $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.so $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/libtotem-properties-page-gstreamer
%endif

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

#menu
MIME_TYPES=`tr '\n' , < data/mime-type-list.txt | sed -e 's/,$//'`
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}-xine" \
	needs="X11" \
	section="Multimedia/Video" \
	icon="totem.png" \
	mimetypes="$MIME_TYPES,audio/basic,video/x-m4v" \
	accept_url="true" \
	multiple_files="true" \
	title="Totem Movie Player" \
	longtitle="Play movies and songs" \
	startup_notify="true" \
	kde_opt="InitialPreference=10" xdg="true"
?package(%{name}): \
	command="%{_bindir}/%{name}-xine" \
	needs="X11" \
	section="Multimedia/Sound" \
	icon="totem.png" \
	title="Totem Media Player" \
	longtitle="Play movies and songs" \
	startup_notify="true" \
	kde_opt="InitialPreference=10" xdg="true"

EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%if %build_gstreamer
cat $RPM_BUILD_ROOT%{_menudir}/%{name} | sed -e 's/xine/gstreamer/g' -e 's/package(totem)/package(totem-gstreamer)/g' > $RPM_BUILD_ROOT%{_menudir}/%{name}-gstreamer
%endif

#icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
mkdir -p %buildroot%_iconsdir/hicolor/48x48/apps
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%name.png
install -D -m 644 data/icons/16x16/totem.png $RPM_BUILD_ROOT%{_miconsdir}/%name.png
install -D -m 644 data/icons/32x32/totem.png $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -D -m 644 %{SOURCE1} %buildroot/%_liconsdir/%name.png


# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/{mozilla/plugins,nautilus/extensions-1.0}/*.{la,a} %buildroot/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post common
%update_scrollkeeper
%define schemas totem totem-video-thumbnail totem-handlers
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor
%update_desktop_database

%post
update-alternatives --install %{_bindir}/totem totem /usr/bin/totem-xine 20 --slave %{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.so totem_nautilus_properties %{_libdir}/nautilus/extensions-1.0/libtotem-properties-page-xine --slave %{_bindir}/totem-video-thumbnailer totem-video-thumbnailer /usr/bin/totem-video-thumbnailer-xine --slave %{_bindir}/totem-video-indexer totem-video-indexer /usr/bin/totem-video-indexer-xine 
%{update_menus}

%if %build_mozilla
%post mozilla
update-alternatives --install %{_libexecdir}/totem-plugin-viewer totem-mozilla %{_libexecdir}/totem-plugin-viewer-xine 20
%endif

%preun common
%preun_uninstall_gconf_schemas %schemas

%postun common
%clean_scrollkeeper
%clean_icon_cache hicolor
%clean_desktop_database

%triggerpostun -- totem-mozilla < 2.18.0-2mdv, totem-mozilla-gstreamer < 2.18.0-2mdv
update-alternatives --auto totem-mozilla

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove totem /usr/bin/totem-xine 
fi
%{clean_menus}

%if %build_mozilla
%postun mozilla
if [ "$1" = "0" ]; then
  update-alternatives --remove totem-plugin-viewer %_libexecdir/totem-plugin-viewer-xine
fi
%endif

%triggerpostun -- totem < 1.0.1-2mdk
update-alternatives --auto totem


%if %build_gstreamer
%post gstreamer
update-alternatives --install %{_bindir}/totem totem /usr/bin/totem-gstreamer 10 --slave %{_libdir}/nautilus/extensions-1.0/libtotem-properties-page.so totem_nautilus_properties %{_libdir}/nautilus/extensions-1.0/libtotem-properties-page-gstreamer --slave %{_bindir}/totem-video-thumbnailer totem-video-thumbnailer /usr/bin/totem-video-thumbnailer-gstreamer --slave %{_bindir}/totem-video-indexer totem-video-indexer /usr/bin/totem-video-indexer-gstreamer
%{update_menus}
%if %build_mozilla
%post mozilla-gstreamer
update-alternatives --install %{_libexecdir}/totem-plugin-viewer totem-mozilla %{_libexecdir}/totem-plugin-viewer-gstreamer 10
%endif

%postun gstreamer
if [ "$1" = "0" ]; then
  update-alternatives --remove totem /usr/bin/totem-gstreamer
fi
%{clean_menus}
%if %build_mozilla
%postun mozilla-gstreamer
if [ "$1" = "0" ]; then
  update-alternatives --remove totem-plugin-viewer %_libexecdir/totem-plugin-viewer-gstreamer
fi
%endif
%endif

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files common -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS TODO NEWS data/lirc_example
%_sysconfdir/gconf/schemas/totem.schemas
%_sysconfdir/gconf/schemas/totem-handlers.schemas
%_sysconfdir/gconf/schemas/totem-video-thumbnail.schemas
%_datadir/pixmaps/*
%dir %_datadir/omf/totem/
%_datadir/icons/hicolor/*/apps/*
%_datadir/omf/totem/totem-C.omf
%_datadir/totem
%_datadir/applications/totem.desktop
%if %build_mozilla
%_libdir/mozilla/plugins/*.xpt
%endif
%_mandir/man1/*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%files 
%defattr(-,root,root)
%_bindir/*-xine
%_libdir/nautilus/extensions-1.0/*-xine
%_menudir/%name

%if %build_gstreamer
%files gstreamer
%defattr(-,root,root)
%_bindir/*-gstreamer
%_libdir/nautilus/extensions-1.0/*-gstreamer
%_menudir/%name-gstreamer
%if %build_mozilla
%files mozilla-gstreamer
%defattr(-,root,root)
%_libdir/mozilla/plugins/libtotem*gstreamer.so
%_libexecdir/totem-plugin-viewer-gstreamer
%endif
%endif

%if %build_mozilla
%files mozilla
%defattr(-,root,root)
%_libdir/mozilla/plugins/libtotem*xine.so
%_libexecdir/totem-plugin-viewer-xine
%endif

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libtotem-plparser.so.%{major}*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/totem
%{_libdir}/pkgconfig/*


%changelog
* Sun Mar 25 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-6mdv2007.1
+ Revision: 148755
- Fix BuildRequires to get multimedia key support built

* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-5mdv2007.1
+ Revision: 148596
- Force rebuild

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-4mdv2007.1
+ Revision: 148367
- rebuild for new firefox

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 147865
- Fix previous commit to only do needed job

  + Adam Williamson <awilliamson@mandriva.com>
    - update icons (stop using old sourced ones, install all fd.o icons)

* Mon Mar 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 146541
- Fix upgrade from 2007.0, forcing update-alternative --auto for totem-mozilla

* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 140337
- new version
- drop patches

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-5mdv2007.1
+ Revision: 133882
-Add ChangeLog to devel package
-Patch1 : fix ogg audio file playback in xine version (Mdv bug #29205)

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.17.92-4mdv2007.1
+ Revision: 130793
- do not package huge (0.6Mb!) ChangeLog

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-3mdv2007.1
+ Revision: 126291
- rebuild for new firefox

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-2mdv2007.1
+ Revision: 125913
- fix libtotem-plparser exports for gnome-python-desktop

* Tue Feb 20 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 123133
- new version

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 117810
- new version
- drop merged patches

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-4mdv2007.1
+ Revision: 117370
- fix the patch by using the upstream svn version

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-3mdv2007.1
+ Revision: 117293
- fix wrong colours in the video thumbnailer with the xine backend
- fix exports of the plparser library (upstream bug #404304)

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 115077
- new version
- fix build with new gnome-doc-utils
- reenable parallel make

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 109601
- new version
- fix buildrequires
- fix build
- drop patch

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-6mdv2007.1
+ Revision: 106107
- rebuild

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-5mdv2007.1
+ Revision: 92165
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-4mdv2007.1
+ Revision: 87597
- fix buildrequires
- fix buildrequires
- fix buildrequires
- new version
- fix build (upstream bug #378096)
- add totem-video-indexer
- drop patch 0

* Wed Nov 15 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 84421
- bot rebuild
- new version
- new version
- fix group (bug #27100)

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.0
+ Revision: 80517
- unpacked patch
- unpack patch
- Import totem



* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.0
- New version 2.16.2

* Mon Oct 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2007.0
- Patch0: don't try to stat glade file, workaround Mdv bug #26244

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2007.0
- Rebuild for latest firefox

* Fri Sep  8 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- add new plugin
- New version 2.16.1

* Sun Sep  3 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.92-2mdv2007.0
- Patch0: allow keyboard dvd navigation

* Tue Aug 22 2006 Gtz Waschk <waschk@mandriva.org> 1.5.92-1mdv2007.0
- drop patch
- New release 1.5.92

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.91-3mdv2007.0
- Patch0 (CVS): fix i18n missing (GNOME bug #351357)

* Mon Aug 14 2006 Gtz Waschk <waschk@mandriva.org> 1.5.91-2mdv2007.0
- fix buildrequires

* Sun Aug 13 2006 Gtz Waschk <waschk@mandriva.org> 1.5.91-1mdv2007.0
- fix new mozilla plugin
- New release 1.5.91

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 1.5.90-1mdv2007.0
- new macros
- xdg menu
- New release 1.5.90

* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 1.5.4-1mdv2007.0
- bump xine deps
- New release 1.5.4

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 1.5.2-1mdv2007.0
- add icons
- New release 1.5.2

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.1-1mdv2007.0
- Release 1.5.1
- Remove patch0, merged upstream

* Thu May 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-2mdk
- drop XFree86 requires

* Sun May 14 2006 Gtz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- drop patch
- New release 1.4.1

* Thu May  4 2006 Gtz Waschk <waschk@mandriva.org> 1.4.0-4mdk
- add missing translations

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-3mdk
- Rebuild with latest firefox

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-2mdk
- Update patch0 with CVS fix

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdk
- Release 1.4.0

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdk
- rebuild for new dbus

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- drop patch 1
- New release 1.2.1

* Thu Dec 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-7mdk
- Fix mimetypes, uses upstream list

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-6mdk
- rebuild for new openssl on x86_64

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 1.2.0-5mdk
- rebuild for new openssl

* Mon Oct 24 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-4mdk
- upstream fix for bug 19187

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-3mdk
- fix buildrequires
- build fix without mozilla plugin

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-2mdk
- fix buildrequires

* Mon Oct 10 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-1mdk
- Release 1.2.0 (merged from Gotz package)
- Patch0 (gotz): fix nautilus extension soname

* Fri Aug 19 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.4-2mdk
- Add conflict to allow to install from mdk 10.2

* Thu Jun 23 2005 Gtz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 1.0.2-1mdk
- drop merged patch
- New release 1.0.2

* Wed Apr 27 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-4mdk 
- Change nautilus extension filename to prevent warning

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 1.0.1-3mdk
- fix typo on the update-alternatives call

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdk 
- Create subpackage totem-gstreamer for gstreamer backend

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdk 
- Release 1.0.1
- Remove patches 0, 1, 2 (merged upstream)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk 
- Patch2: fix i18n init for windows name

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk 
- Patch0 (CVS): fix crash with some ASF file
- Patch1 (CVS): fix DND from konqueror

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk 
- Release 1.0
- Regenerate patch0

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.101-3mdk
- fix buildrequires

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dydndns.org> 0.101-2mdk
- add BuildRequires: libnautilus-devel

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.101-1mdk
- New release 0.101
- Patch0 : use old (ie 2.8.x) nautilus-burn API

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.100-2mdk 
- Rebuild with latest howl

* Mon Jan  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.100-1mdk
- New release 0.100

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.22-2mdk
- add BuildRequires: libgnomeui2-devel libgnome-desktop-2-devel

* Sun Nov 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.22-1mdk
- New release 0.99.22

* Fri Nov 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.21-2mdk 
- Remove patch1 (merged upstream)

* Fri Nov 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.21-1mdk
- drop patch 2
- New release 0.99.21

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.20-3mdk
- Fix mimetype

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.20-2mdk
- disable colorkey (fixes bug #11273)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.20-1mdk
- New release 0.99.20
- add omf files to lang
- don't depend on gnome-desktop
- needs libnautilus-burn
- drop patches 0,2,3,4

* Mon Oct 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-5mdk
- Update patch2 to fix parsing of Real/asf files

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-4mdk
- Patch2 (CVS): various bug fixes
- Patch3: fix error message when playing crypted DVD
- Patch4: fix remote action when using dvd: or cd:

* Mon Sep 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.15.1-3mdk
- Descease InitialPreference to launch kaffeine under KDE environement

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.15.1-2mdk
- Patch0: fix KDE detection (Mdk bug #10991)
- Patch1: add thumbnail for Matroska

* Sat Jul 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.99.15.1-1mdk
- New release 0.99.15.1

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.14-1mdk
- drop yelp stuff
- New release 0.99.14

* Sun Jul  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.13-1mdk
- new version

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.12-1mdk
- add source URL
- New release 0.99.12

* Fri Jun  4 2004  <lmontel@komp1.mandrakesoft.com> 0.99.11-2mdk
- REbuild

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.11-1mdk
- requires new xine
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-2mdk
- drop the patch

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.10-1mdk
- add man page
- requires new xine
- build with nvtv
- don't require curl anymore
- drop patch 1
- new version

* Sun Feb 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.9-4mdk
- patch from cvs to fix bug #8417
- fix buildrequires

* Tue Feb 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.9-3mdk
- revert the configuration of the vcd plugin
- add NEWS to the file list

* Sun Feb 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.9-2mdk
- Add audio/basic mimetype

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.9-1mdk
- Release 0.99.9
- Remove patch2 (merged upstream)
- add more mimetypes

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.8-2mdk
- Add audio/x-scpls and application/ogg mimetypes

* Sun Nov  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.8-1mdk
- add the manual
- add the audio/x-ms-asf mime type 
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.7-1mdk
- rediff patch 2
- drop patches 0,1
- new version

* Wed Oct 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-5mdk
- Patch2 (gb): various fixes (64-bit, missing includes, bad return values)

* Fri Sep 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-4mdk
- Patch1 : remove debug message

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-3mdk
- Patch0 (CVS): correctly disable xscreensaver in fullscreen mode

* Thu Sep  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.4-2mdk
- add a build conditional for gstreamer support to the spec   

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.4-1mdk
- Release 0.99.4
- Remove patch 0 (merged upstream)

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.3-1mdk
- Release 0.99.3
- Remove patches 0, 1 & 2 (merged upstream)
- Patch0 (CVS): various CVS fixes

* Thu Aug 28 2003 David Baudens <baudens@mandrakesoft.com> 0.99.2-8mdk
- Add audio/x-mpegurl support in mimetype
- Add kde_opt="InitialPreference=15" to menu entry

* Thu Aug 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.2-7mdk
- Patch1 : use konqueror instead of nautilus if running under KDE (bug
  #4820)
- Patch2 : fix modality problem with screenshot file selector (bug #4819)
- Add another menu entry in Multimedia/Sound (without mimetype)

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-6mdk
- arrgh, another buildrequires fix

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-5mdk
- another buildrequires fix

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-4mdk
- fix buildrequires
- only uninstall schemas on deinstallation

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.99.2-3mdk
- Update patch0 from hadess

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.99.2-2mdk
- Remove patch0, no longer needed with XF 4.3-13mdk
- Patch0 (hadess): fix curl detection
- Fix BuildRequires

* Sun Jul  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.2-1mdk
- rediff the patch
- add schemas uninstallation
- new version

* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.1-1mdk
- new version

* Tue Jun  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-2mdk
- fix buildrequires

* Wed May 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.99.0-1mdk
- new version

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.98.0-1mdk
- Release 0.98.0

* Wed Apr 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.97.0-1mdk
- Release 0.97.0
- Remove patch0 (merged upstream)
- Patch0: disable XInitThreads until XFree86 is fixed

* Mon Apr 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.96.0-2mdk
- fix the thumbnailer

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.96.0-1mdk
- Release 0.96.0

* Sat Mar  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.95.1-2mdk
- Fix video thumbnail schema
- Add startup notify support

* Fri Feb 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95.1-1mdk
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90.0-1mdk
- add video thumbnailer incl. schema
- remove gnomevfs plugin
- drop patch
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-4mdk
- temporal patch to disable some gnome-vfs2 feature to allow build
- rebuild against latest ssl

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-3mdk
- rebuild

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-2mdk
- fix schema installation

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-1mdk
- new version

* Sun Dec  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-1mdk
- new version

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1
- Add missing schema registration

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.12.0-1mdk
- fix xine plugins dir
- requires libxine1
- new version

* Tue Oct 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.11.0-1mdk
- build with lirc support
- new version

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-3mdk
- fix menu

* Fri Sep 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-2mdk
- requires xine-plugins (of course)

* Thu Sep 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-1mdk
- initial Mandrake package
